Bug 118860 - misc/kdeutils3 and security/kgpg conflict
Summary: misc/kdeutils3 and security/kgpg conflict
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-19 15:20 UTC by Anatoly Borodin
Modified: 2008-01-04 16:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly Borodin 2007-12-19 15:20:00 UTC
The packages misc/kdeutils3 and security/kgpg conflict both contain the file bin/kgpg.

misc/kdeutils3 (3.5.8, $FreeBSD: ports/misc/kdeutils3/Makefile,v 1.115 2007/10/29 23:47:56 lofi Exp $) has a line in the Makefile:

CONFLICTS=              kgpg-[0-9]* superkaramba-[0-9]

but security/kgpg (1.0.0, $FreeBSD: ports/security/kgpg/Makefile,v 1.21 2007/10/17 09:45:28 miwi Exp $) has:

CONFLICTS=              kdeutils-3.[2-4].*

So currently no conflict is being registered and security/kgpg overwrite the file of misc/kdeutils3.

Fix: 

Change the line

CONFLICTS=              kdeutils-3.[2-4].*

in /usr/ports/security/kgpg/Makefile to an appropriate value.
How-To-Repeat: Install misc/kdeutils3, then security/kgpg.
Comment 1 Edwin Groothuis freebsd_committer 2007-12-19 15:20:05 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-12-19 15:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Tilman Keskinoz freebsd_committer 2008-01-04 15:56:21 UTC
State Changed
From-To: open->closed

committed, thanks
Comment 4 dfilter service freebsd_committer 2008-01-04 15:56:22 UTC
arved       2008-01-04 15:56:14 UTC

  FreeBSD ports repository

  Modified files:
    security/kgpg        Makefile 
  Log:
  Adjust conflicts
  
  PR:             118860
  Submitted by:   Anatoly Borodin <anatoly.borodin@gmail.com>
  
  Revision  Changes    Path
  1.22      +1 -1      ports/security/kgpg/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"